﻿<UserControl x:Class="VECTO3GUI2020.Views.JobEditViews.Vehicle.Components.AxleView_v2_0"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:local="clr-namespace:VECTO3GUI2020.Views.JobEditViews.Vehicle.Components"
             xmlns:custom="clr-namespace:VECTO3GUI2020.Views.CustomControls"
            mc:Ignorable="d" 
             d:DesignHeight="150" d:DesignWidth="150" >
    <Grid>
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="1*"/>
            <ColumnDefinition Width="1*"/>
        </Grid.ColumnDefinitions>
        <Grid.RowDefinitions>
            <RowDefinition></RowDefinition>
            <RowDefinition></RowDefinition>
        </Grid.RowDefinitions>

        <StackPanel>
            <Label Style="{StaticResource LabelStyleSubView}">Axle</Label>
            <custom:ComboParameter Grid.Column="0" Grid.Row="1" Content="{Binding AxleType}"/>
        </StackPanel>


        <StackPanel Grid.Column="1">
            <custom:LabledCheckBoxAutomatic  Content="{Binding TwinTyres}"></custom:LabledCheckBoxAutomatic>
            <custom:LabledCheckBoxAutomatic  Content="{Binding Steered}"></custom:LabledCheckBoxAutomatic>
        </StackPanel>
        <ContentControl Grid.Row="1" Grid.ColumnSpan="2" Margin="10" Content="{Binding TyreViewModel}"></ContentControl>
    </Grid>
</UserControl>
